Skip to main content
PUT
/
networks
/
channels
/
{channelId}
Update Channel
curl --request PUT \
  --url https://api.eflow.team/v1/networks/channels/{channelId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "TestChannel",
  "status": "inactive"
}
'
{
  "network_channel_id": 1,
  "network_id": 1,
  "name": "TestChannel",
  "status": "inactive",
  "time_created": 1774712750,
  "time_saved": 1774712800,
  "relationship": {}
}
Update an existing channel. This is a full object replacement; all fields must be provided in the request body.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

channelId
integer
required

The ID of the channel to update.

Body

application/json
name
string
required

Name of the channel.

status
enum<string>
required

Status of the channel.

Available options:
active,
inactive

Response

200 - application/json

OK

A traffic channel in the network.

network_channel_id
integer

Unique channel ID.

network_id
integer

Network ID.

name
string

Channel name.

status
enum<string>

Channel status.

Available options:
active,
inactive
time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related data.